#!/bin/sh
#
# Tip for putting off those apple ugly shitty dirs
# ( .Spotlight* / .Trashes / .fseventsd )
#
# Change to the concerned directory for running this script

cd "$1"

dir1="./.Spotlight*"
dir2="./.Trashes"
dir3="./.fseventsd"

tag1=".metadata_never_index"
tag2=".Trashes"
tag3="no_log"

echo "Removing recursively dirs [$dir1, $dir2, $dir3] ..."
rm -rf $dir1 $dir2 $dir3 && \
echo "[$dir1, $dir2, $dir3] removed"

# — spotlight off
#
touch $tag1 && echo "Tagfile [$tag1] created."

# — trash off
#
touch $tag2 && echo "Tagfile [$tag2] created."

# — fseventsd off
#
mkdir $dir3 && touch $dir3/$tag3 && \
(echo "Tagfile [$dir3/$tag3] created.") || \
(echo "ERROR tagfile [$dir3/$tag3] "; exit 1)

chmod 400 $tag1 $tag2 $dir3/$tag3

